aboutsummaryrefslogtreecommitdiff
path: root/init.sh
diff options
context:
space:
mode:
Diffstat (limited to 'init.sh')
-rw-r--r--init.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/init.sh b/init.sh
index 0734004..4acee5c 100644
--- a/init.sh
+++ b/init.sh
@@ -1,5 +1,5 @@
#!/usr/bin/env sh
-set -e
+set -xe
# Only create a new keypair if one does not exist
! [ -f "$(whoami).pub" ] && ssh-keygen -f $(whoami) -t rsa -b 4096
@@ -14,6 +14,8 @@ read ENTRY_DOMAIN
DOMAIN="${ENTRY_DOMAIN:-$DOMAIN}"
echo "DOMAIN=${DOMAIN}" >> .env
+(cd cgit && magick -background transparent favicon.png -define icon:auto-resize=16,24,32,48,64,72,96,128,256 favicon.ico)
+
# Build the image, and run initial setup
docker-compose build gitolite
docker-compose -f docker-compose-setup.yml up -d gitolite